## org.apache.batik.css.engine.value
Class AbstractValue

    java.lang.Object
      org.apache.batik.css.engine.value.AbstractValue

All Implemented Interfaces:
  Value

Direct Known Subclasses:
  FloatValue, ICCColor, InheritValue, ListValue, RectValue, RGBColorValue, StringValue

public abstract class AbstractValue
extends java.lang.Object
implements Value

This class provides an abstract implementation of the Value interface.

Constructor Summary
`AbstractValue()`

Method Summary
`protected org.w3c.dom.DOMException` `createDOMException()` Creates an INVALID_ACCESS_ERR exception.
`Value` `getBlue()` Implements `Value.getBlue()`.
`Value` `getBottom()` Implements `Value.getBottom()`.
`short` `getCssValueType()` Implements `Value.getCssValueType()`.
`float` `getFloatValue()` Implements `Value.getFloatValue()`.
`Value` `getGreen()` Implements `Value.getGreen()`.
`java.lang.String` `getIdentifier()` Implements `Value.getIdentifier()`.
`Value` `getLeft()` Implements `Value.getLeft()`.
`int` `getLength()` Implements `Value.getLength()`.
`java.lang.String` `getListStyle()` Implements `Value.getListStyle()`.
`short` `getPrimitiveType()` Implements `Value.getPrimitiveType()`.
`Value` `getRed()` Implements `Value.getRed()`.
`Value` `getRight()` Implements `Value.getRight()`.
`java.lang.String` `getSeparator()` Implements `Value.getSeparator()`.
`java.lang.String` `getStringValue()` Implements `Value.getStringValue()`.
`Value` `getTop()` Implements `Value.getTop()`.
`Value` `item(int index)` Implements `Value.item(int)`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.batik.css.engine.value.Value
`getCssText`

Constructor Detail

### AbstractValue

    public AbstractValue()

Method Detail

### getCssValueType

    public short getCssValueType()

  Implements `Value.getCssValueType()`.

  Specified by:
    `getCssValueType` in interface `Value`

### getPrimitiveType

    public short getPrimitiveType()

  Implements `Value.getPrimitiveType()`.

  Specified by:
    `getPrimitiveType` in interface `Value`

### getFloatValue

    public float getFloatValue()
                        throws org.w3c.dom.DOMException

  Implements `Value.getFloatValue()`.

  Specified by:
    `getFloatValue` in interface `Value`
  Throws:
    `org.w3c.dom.DOMException` - INVALID_ACCESS_ERR: Raised if the value doesn't contain a float value.

### getStringValue

    public java.lang.String getStringValue()
                                    throws org.w3c.dom.DOMException

  Implements `Value.getStringValue()`.

  Specified by:
    `getStringValue` in interface `Value`
  Throws:
    `org.w3c.dom.DOMException` - INVALID_ACCESS_ERR: Raised if the value doesn't contain a string value.

### getRed

    public Value getRed()
                 throws org.w3c.dom.DOMException

  Implements `Value.getRed()`.

  Specified by:
    `getRed` in interface `Value`
  Throws:
    `org.w3c.dom.DOMException` - INVALID_ACCESS_ERR: Raised if the value doesn't contain a RGB color value.

### getGreen

    public Value getGreen()
                   throws org.w3c.dom.DOMException

  Implements `Value.getGreen()`.

  Specified by:
    `getGreen` in interface `Value`
  Throws:
    `org.w3c.dom.DOMException` - INVALID_ACCESS_ERR: Raised if the value doesn't contain a RGB color value.

### getBlue

    public Value getBlue()
                  throws org.w3c.dom.DOMException

  Implements `Value.getBlue()`.

  Specified by:
    `getBlue` in interface `Value`
  Throws:
    `org.w3c.dom.DOMException` - INVALID_ACCESS_ERR: Raised if the value doesn't contain a RGB color value.

### getLength

    public int getLength()
                  throws org.w3c.dom.DOMException

  Implements `Value.getLength()`.

  Specified by:
    `getLength` in interface `Value`
  Throws:
    `org.w3c.dom.DOMException` - INVALID_ACCESS_ERR: Raised if the value doesn't contain a list value.

### item

    public Value item(int index)
               throws org.w3c.dom.DOMException

  Implements `Value.item(int)`.

  Specified by:
    `item` in interface `Value`
  Returns:
    The style rule at the `index` position in the list, or `null` if that is not a valid index.
  Throws:
    `org.w3c.dom.DOMException` - INVALID_ACCESS_ERR: Raised if the value doesn't contain a list value.

### getTop

    public Value getTop()
                 throws org.w3c.dom.DOMException

  Implements `Value.getTop()`.

  Specified by:
    `getTop` in interface `Value`
  Throws:
    `org.w3c.dom.DOMException` - INVALID_ACCESS_ERR: Raised if the value doesn't contain a Rect value.

### getRight

    public Value getRight()
                   throws org.w3c.dom.DOMException

  Implements `Value.getRight()`.

  Specified by:
    `getRight` in interface `Value`
  Throws:
    `org.w3c.dom.DOMException` - INVALID_ACCESS_ERR: Raised if the value doesn't contain a Rect value.

### getBottom

    public Value getBottom()
                    throws org.w3c.dom.DOMException

  Implements `Value.getBottom()`.

  Specified by:
    `getBottom` in interface `Value`
  Throws:
    `org.w3c.dom.DOMException` - INVALID_ACCESS_ERR: Raised if the value doesn't contain a Rect value.

### getLeft

    public Value getLeft()
                  throws org.w3c.dom.DOMException

  Implements `Value.getLeft()`.

  Specified by:
    `getLeft` in interface `Value`
  Throws:
    `org.w3c.dom.DOMException` - INVALID_ACCESS_ERR: Raised if the value doesn't contain a Rect value.

### getIdentifier

    public java.lang.String getIdentifier()
                                   throws org.w3c.dom.DOMException

  Implements `Value.getIdentifier()`.

  Specified by:
    `getIdentifier` in interface `Value`
  Throws:
    `org.w3c.dom.DOMException` - INVALID_ACCESS_ERR: Raised if the value doesn't contain a Counter value.

### getListStyle

    public java.lang.String getListStyle()
                                  throws org.w3c.dom.DOMException

  Implements `Value.getListStyle()`.

  Specified by:
    `getListStyle` in interface `Value`
  Throws:
    `org.w3c.dom.DOMException` - INVALID_ACCESS_ERR: Raised if the value doesn't contain a Counter value.

### getSeparator

    public java.lang.String getSeparator()
                                  throws org.w3c.dom.DOMException

  Implements `Value.getSeparator()`.

  Specified by:
    `getSeparator` in interface `Value`
  Throws:
    `org.w3c.dom.DOMException` - INVALID_ACCESS_ERR: Raised if the value doesn't contain a Counter value.

### createDOMException

    protected org.w3c.dom.DOMException createDOMException()

  Creates an INVALID_ACCESS_ERR exception.

Copyright © 2004 Apache Software Foundation. All Rights Reserved.